$(function() {
	Array.prototype.contains = function( element ) {
		for( var i = 0; i < this.length; ++i ) {
			if( this[i] == element ) {
				return( true );
			}
		}
		return( false );
	}

	function isnumeric( sText ) {
		var ValidChars = "0123456789";
		var IsNumber = true;
		var Char;

		for( i = 0; i < sText.length && IsNumber == true; i++ ) {
			Char = sText.charAt( i );
			if( ValidChars.indexOf( Char ) == -1 ) {
				IsNumber = false;
			}
		}
		return( IsNumber );
	}

	$( "input:submit", "#nurwecken" ).click( function() {
		var errormsg = "Folgende Felder m%FCssen ausgef%FCllt werden oder sind fehlerhaft ausgef%FCllt%3A%0D%0D";
		var dosubmit = true;

		if( !isnumeric( document.alm_once.alm_once_hr.value ) || document.alm_once.alm_once_hr.value < 0 || document.alm_once.alm_once_hr.value > 23
			|| !isnumeric( document.alm_once.alm_once_min.value ) || document.alm_once.alm_once_min.value < 0 || document.alm_once.alm_once_min.value > 59 ) {
			errormsg += "%09Uhrzeit%0D";
			dosubmit = false;
		}

		if( document.alm_once.alm_once_date.value.search( /^(0[1-9]|[12][0-9]|3[01])\.(0[1-9]|1[012])\.(19|20)\d\d$/ ) == -1 ) {
			errormsg += "%09Datum%0D";
			dosubmit = false;
		}

		if( !dosubmit ) {
			alert( unescape( errormsg ) );
			return( false );
		} else {
			return( true );
		}
	} );

	$( "input:submit", "#weckplan" ).click( function() {
		var errormsg = "Folgende Felder sind fehlerhaft ausgef%FCllt%3A%0D%0D";
		var dosubmit = true;

		if( document.alm_weekplan.mo_hr.value != "" && document.alm_weekplan.mo_min.value != "" ) {
			if( !isnumeric( document.alm_weekplan.mo_hr.value ) || document.alm_weekplan.mo_hr.value < 0 || document.alm_weekplan.mo_hr.value > 23
				|| !isnumeric( document.alm_weekplan.mo_min.value ) || document.alm_weekplan.mo_min.value < 0 || document.alm_weekplan.mo_min.value > 59 ) {
				errormsg += "%09Montag%0D";
			dosubmit = false;
				}
		}

		if( document.alm_weekplan.di_hr.value != "" && document.alm_weekplan.di_min.value != "" ) {
			if( !isnumeric( document.alm_weekplan.di_hr.value ) || document.alm_weekplan.di_hr.value < 0 || document.alm_weekplan.di_hr.value > 23
				|| !isnumeric( document.alm_weekplan.di_min.value ) || document.alm_weekplan.di_min.value < 0 || document.alm_weekplan.di_min.value > 59 ) {
				errormsg += "%09Dienstag%0D";
			dosubmit = false;
				}
		}

		if( document.alm_weekplan.mi_hr.value != "" && document.alm_weekplan.mi_min.value != "" ) {
			if( !isnumeric( document.alm_weekplan.mi_hr.value ) || document.alm_weekplan.mi_hr.value < 0 || document.alm_weekplan.mi_hr.value > 23
				|| !isnumeric( document.alm_weekplan.mi_min.value ) || document.alm_weekplan.mi_min.value < 0 || document.alm_weekplan.mi_min.value > 59 ) {
				errormsg += "%09Mittwoch%0D";
			dosubmit = false;
				}
		}

		if( document.alm_weekplan.do_hr.value != "" && document.alm_weekplan.do_min.value != "" ) {
			if( !isnumeric( document.alm_weekplan.do_hr.value ) || document.alm_weekplan.do_hr.value < 0 || document.alm_weekplan.do_hr.value > 23
				|| !isnumeric( document.alm_weekplan.do_min.value ) || document.alm_weekplan.do_min.value < 0 || document.alm_weekplan.do_min.value > 59 ) {
				errormsg += "%09Donnerstag%0D";
			dosubmit = false;
				}
		}

		if( document.alm_weekplan.fr_hr.value != "" && document.alm_weekplan.fr_min.value != "" ) {
			if( !isnumeric( document.alm_weekplan.fr_hr.value ) || document.alm_weekplan.fr_hr.value < 0 || document.alm_weekplan.fr_hr.value > 23
				|| !isnumeric( document.alm_weekplan.fr_min.value ) || document.alm_weekplan.fr_min.value < 0 || document.alm_weekplan.fr_min.value > 59 ) {
				errormsg += "%09Freitag%0D";
			dosubmit = false;
				}
		}

		if( document.alm_weekplan.sa_hr.value != "" && document.alm_weekplan.sa_min.value != "" ) {
			if( !isnumeric( document.alm_weekplan.sa_hr.value ) || document.alm_weekplan.sa_hr.value < 0 || document.alm_weekplan.sa_hr.value > 23
				|| !isnumeric( document.alm_weekplan.sa_min.value ) || document.alm_weekplan.sa_min.value < 0 || document.alm_weekplan.sa_min.value > 59 ) {
				errormsg += "%09Samstag%0D";
			dosubmit = false;
				}
		}

		if( document.alm_weekplan.so_hr.value != "" && document.alm_weekplan.so_min.value != "" ) {
			if( !isnumeric( document.alm_weekplan.so_hr.value ) || document.alm_weekplan.so_hr.value < 0 || document.alm_weekplan.so_hr.value > 23
				|| !isnumeric( document.alm_weekplan.so_min.value ) || document.alm_weekplan.so_min.value < 0 || document.alm_weekplan.so_min.value > 59 ) {
				errormsg += "%09Sonntag%0D";
			dosubmit = false;
				}
		}

		if( !dosubmit ) {
			alert( unescape( errormsg ) );
			return( false );
		} else {
			return( true );
		}
	} );

	$( "input:submit", "#weckconf" ).click( function() {
		var errormsg = "Folgende Felder m%FCssen ausgef%FCllt werden oder sind fehlerhaft ausgef%FCllt%3A%0D%0D";
		var dosubmit = true;

		//----------------
		var alm_sounds = new Array( "oldphone.mp3", "rock.mp3", "synth.mp3", "toy.mp3"  );
		if( !alm_sounds.contains( document.alm_config.alm_sound.value ) ) {
			errormsg += "%09Weckton%0D";
			dosubmit = false;
		}
		//----------------
		if( !isnumeric( document.alm_config.alm_stream.value ) && document.alm_config.alm_stream.value != "last" ) {
			errormsg += "%09Stream%0D";
			dosubmit = false;
		}
		//----------------
		if( !isnumeric( document.alm_config.alm_vol.value ) || document.alm_config.alm_vol.value < 1 || document.alm_config.alm_vol.value > 100 ) {
			errormsg += "%09Wecklautst%E4rke%0D";
			dosubmit = false;
		}
		//----------------

		if( !dosubmit ) {
			alert( unescape( errormsg ) );
			return( false );
		} else {
			return( true );
		}
	} );

	$( "#datepicker" ).datepicker( $.datepicker.regional[ "de" ] );

	$( "button", "#schedule" ).button();
	$( "button", "#schedule" ).click( function() {
		var button_class = document.getElementById( 'schedule' ).getElementsByTagName( 'p' );
		if( button_class[0].className == "active" ) {
			$.ajax({
				type: "POST",
				url: "phprcv/wecker.php",
				data: "action=alm_deact",
				success: function() {
					var elementref = document.getElementById( 'schedule' ).getElementsByTagName( 'p' );
					elementref[0].className = "inactive";
					elementref[0].innerHTML = "deaktiviert";
					elementref = document.getElementById( 'schedule' ).getElementsByTagName( 'button' );
					elementref[0].innerHTML = "<img src=\"img/clock.png\" alt=\"\" /> Wecker aktivieren";
					elementref = document.getElementById( 'weckprog' );
					elementref.innerHTML = "";
				}
			});
			return false;
		} else {
				$.ajax({
				type: "POST",
				url: "phprcv/wecker.php",
				data: "action=alm_act",
				success: function() {
					var elementref = document.getElementById( 'schedule' ).getElementsByTagName( 'p' );
					elementref[0].className = "active";
					elementref[0].innerHTML = "aktiviert";
					elementref = document.getElementById( 'schedule' ).getElementsByTagName( 'button' );
					elementref[0].innerHTML = "<img src=\"img/clock_clear.png\" alt=\"\" /> Wecker deaktivieren";
					var xmlHttp = null;
					try {
						// Mozilla, Opera, Safari sowie Internet Explorer (ab v7)
						xmlHttp = new XMLHttpRequest();
					} catch( e ) {
						try {
							// MS Internet Explorer (ab v6)
							xmlHttp  = new ActiveXObject( "Microsoft.XMLHTTP" );
						} catch( e ) {
							try {
								// MS Internet Explorer (ab v5)
								xmlHttp  = new ActiveXObject( "Msxml2.XMLHTTP" );
							} catch( e ) {
								xmlHttp  = null;
							}
						}
					}
					if( xmlHttp ) {
						xmlHttp.open( 'GET', 'phprcv/weckprog.php', true );
						xmlHttp.onreadystatechange = function () {
							if( xmlHttp.readyState == 4 ) {
								elementref = document.getElementById( 'weckprog' );
								elementref.innerHTML = xmlHttp.responseText;
							}
						};
						xmlHttp.send( null );
					}
				}
			});
			return( false );
		}
	});
});
